export const form = [
  {
    fild: 'name',
    label: '姓名',
    col: 'col-6',
    type: 'text',
    required: true,
    bind: {
      readonly: true,
      filled: true,
      lazyRules: true,
      rules: [(val: any) => (val && val.length > 0) || '必填'],
    },
  },
  {
    fild: 'password',
    label: '密码',
    col: 'col-6',
    type: 'password',
    isPwd: true,
    required: true,
    bind: {
      filled: true,
      lazyRules: true,
      rules: [(val: any) => (val && val.length > 0) || '必填'],
    },
  },
  {
    fild: 'age',
    col: 'col-6',
    label: '年龄',
    type: 'number',
    bind: {
      filled: true,
    },
  },
  {
    fild: 'country',
    label: '国家',
    col: 'col-6',
    type: 'select',
    bind: {
      filled: true,
      emitValue: true,
      mapOptions: true,
      options: [
        {
          label: '中国',
          value: 'china',
        },
        {
          label: '俄罗斯',
          value: 'russia',
        },
        {
          label: '法国',
          value: 'france',
        },
      ],
      // lazyRules: true,
      // rules: [(val: any) => (val && val.length > 0) || '必填'],
      clearable: true,
    },
  },
  {
    fild: 'quantity',
    label: '数量',
    col: 'col-6',
    type: 'number',
    bind: {
      filled: true,
    },
  },
  {
    solt: 'class',
    col: 'col-6',
  },
  {
    fild: 'remark',
    label: '备注',
    col: 'col-12',
    type: 'textarea',
    bind: {
      filled: true,
    },
  },
  {
    solt: 'workingDay',
    col: 'col-6',
  },
  {
    fild: 'date1',
    col: 'col-6',
    type: 'date',
    label: '日期1',
    bind: {
      filled: true,
      clearable: true,
      dateMask: 'YYYY-MM-DD HH:mm:ss',
    },
  },
  {
    fild: 'date2',
    label: '日期2',
    col: 'col-6',
    type: 'date',
    bind: {
      filled: true,
      clearable: true,
      dateMask: 'YYYY-MM-DD',
    },
  },
  {
    fild: 'dateMultiple',
    label: '日期多选',
    col: 'col-6',
    type: 'dateMultiple',
    bind: {
      filled: true,
      clearable: true,
      dateMask: 'YYYY/MM/DD',
    },
  },
  {
    fild: 'dateRange',
    label: '日期范围',
    col: 'col-6',
    type: 'dateRange',
    bind: {
      filled: true,
      clearable: true,
      dateMask: 'YYYY-MM-DD',
    },
  },
  {
    fild: 'dateRangeMultiple',
    label: '日期范围多选',
    col: 'col-6',
    type: 'dateRange',
    bind: {
      multiple: true,
      filled: true,
      clearable: true,
      dateMask: 'YYYY/MM/DD',
    },
  },
  {
    fild: 'time1',
    label: '时间1',
    col: 'col-6',
    type: 'time',
    bind: {
      filled: true,
      clearable: true,
      timeMask: 'HH:mm:ss',
    },
  },
  {
    fild: 'colorPick',
    label: '选取颜色',
    col: 'col-6',
    type: 'color',
    bind: {
      filled: true,
      clearable: true,
    },
  },
  {
    fild: 'colorPick2',
    label: '选取颜色2',
    col: 'col-6',
    type: 'color',
    bind: {
      filled: true,
      clearable: true,
      defaultView: 'palette',
      palette: [],
    },
  },
];
